include ../../makefile.dep

LIBDIR= ../../lib/$(HOST)
BINDIR= ../../bin/$(HOST)

INCLUDES      = -I../include  -I../../include

TARGETS =	loadtnbp

all:	$(TARGETS)

LIBS1	      =  \
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)


loadtnbp   : $(BINDIR)/loadtnbp$(EXE)
loadtnbpOBJECTS = loadtnbp$(OBJ) read_nbp$(OBJ) tsub_nbp$(OBJ)\
			t2db_nbp$(OBJ) initadcp$(OBJ) nbptodb$(OBJ)\
			$(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/loadtnbp$(EXE): $(loadtnbpOBJECTS)
	$(CCLINK) -o $@ $(loadtnbpOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
